View Issue Details

IDProjectCategoryView StatusLast Update
14038Bug reports[All Projects] Survey designpublic2019-05-29 16:12
Reporterjelo Assigned Toc_schmitz  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.17.x 
Summary14038: General survey settings : Administrator and Admin email: cannot be clear and saved blank
Description

General survey settings fields "Administrator" and "Admin email" cannot be clear and saved blank.
The default values are always filled in.

Version 3.14.8+180829
BTW: Product Version Drop-down field in Mantis is missing 3.14.

Additional Information

Change "Admin email" to "Administrator email". Or change Administrator to Admin.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.8+180829
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionN/A
Server OS (if known)N/A
Webserver software & version (if known)N/A
PHP VersionN/A

Activities

dominikvitt

dominikvitt

2018-09-10 13:36

developer   ~48998

"From:" field is always required when sending email.
What should expected behaviour be, if survey settings --> admin email is empty?
Should it fall back to general settings --> admin email?

Similarly, what is expected behaviour for admin name?

LouisGac

LouisGac

2018-09-10 14:04

manager   ~49000

@carsten?

c_schmitz

c_schmitz

2019-05-23 10:49

administrator   ~52065

These are mandatory fields. I fixed the wording.

c_schmitz

c_schmitz

2019-05-29 16:12

administrator   ~52173

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28885

Related Changesets

LimeSurvey: master 720685f9

2019-05-23 10:09:20

c_schmitz

Details Diff
Fixed issue 14038: Minor interface text changes Affected Issues
14038
mod - application/controllers/admin/globalsettings.php Diff File
mod - application/libraries/Save.php Diff File
mod - application/views/admin/survey/subview/accordion/_generaloptions_panel.php Diff File

Issue History

Date Modified Username Field Change
2018-09-07 21:36 jelo New Issue
2018-09-10 10:49 LouisGac Assigned To => dominikvitt
2018-09-10 10:49 LouisGac Status new => assigned
2018-09-10 13:36 dominikvitt Note Added: 48998
2018-09-10 14:04 LouisGac Assigned To dominikvitt => c_schmitz
2018-09-10 14:04 LouisGac Note Added: 49000
2019-05-23 10:49 c_schmitz Status assigned => closed
2019-05-23 10:49 c_schmitz Resolution open => fixed
2019-05-23 10:49 c_schmitz Fixed in Version => 3.17.x
2019-05-23 10:49 c_schmitz Note Added: 52065
2019-05-29 16:12 c_schmitz Changeset attached => LimeSurvey master 720685f9
2019-05-29 16:12 c_schmitz Note Added: 52173